summaryrefslogtreecommitdiff
Commit message (Collapse)AuthorAgeFilesLines
* sci-geosciences/grass: add bzip2 use flagMario Haustein5 hours2-2/+6
| | | | | | | Bug: https://bugs.gentoo.org/893134 Signed-off-by: Mario Haustein <mario.haustein@hrz.tu-chemnitz.de> Closes: https://github.com/gentoo/gentoo/pull/29333 Signed-off-by: Sam James <sam@gentoo.org>
* sci-geosciences/grass: add 8.2.1Mario Haustein5 hours2-0/+285
| | | | | Signed-off-by: Mario Haustein <mario.haustein@hrz.tu-chemnitz.de> Signed-off-by: Sam James <sam@gentoo.org>
* sci-geosciences/grass: drop ppc keyword from live ebuildMario Haustein5 hours1-1/+1
| | | | | | | | | Mandatory dependency sci-libs/pdal lacks ppc keyword. Keywording is in progress (see https://bugs.gentoo.org/858098). See: https://bugs.gentoo.org/858098 Signed-off-by: Mario Haustein <mario.haustein@hrz.tu-chemnitz.de> Signed-off-by: Sam James <sam@gentoo.org>
* sci-geosciences/grass: fix variable assignment orderMario Haustein5 hours2-4/+12
| | | | | Signed-off-by: Mario Haustein <mario.haustein@hrz.tu-chemnitz.de> Signed-off-by: Sam James <sam@gentoo.org>
* sci-geosciences/gmt: Stabilize 6.4.0 amd64, #892433Sam James17 hours1-2/+2
| | | | Signed-off-by: Sam James <sam@gentoo.org>
* sci-geosciences/qmapshack: destabilize 1.16.1-r1 for ~x86Andreas Sturmlechner23 hours1-2/+2
| | | | | Bug: https://bugs.gentoo.org/893234 Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>
* sci-geosciences/josm-bin: Stabilize 18622 x86, #893414Joonas Niilola27 hours1-1/+1
| | | | Signed-off-by: Joonas Niilola <juippis@gentoo.org>
* sci-geosciences/josm-bin: Stabilize 18622 amd64, #893414Joonas Niilola27 hours1-1/+1
| | | | Signed-off-by: Joonas Niilola <juippis@gentoo.org>
* sci-geosciences/opencpn-plugin-dr: drop 1.1Andreas Sturmlechner7 days2-36/+0
| | | | Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>
* sci-geosciences/gnome-maps: Version bump to 43.4Matt Turner7 days2-0/+54
| | | | Signed-off-by: Matt Turner <mattst88@gentoo.org>
* sci-geosciences/grass: fix x11-libs/cairo depSam James7 days3-3/+3
| | | | | | | | Nothing should've actually needed opengl on, so let's drop the dep, as it's almost certainly bogus. Bug: https://bugs.gentoo.org/892782 Signed-off-by: Sam James <sam@gentoo.org>
* sci-geosciences/mapserver: version bump to 8.0.0Marco Genasci9 days3-0/+304
| | | | | | Signed-off-by: Marco Genasci <fedeliallalinea@gmail.com> Closes: https://github.com/gentoo/gentoo/pull/28544 Signed-off-by: Andrew Ammerlaan <andrewammerlaan@gentoo.org>
* sci-geosciences/gpsbabel: drop use gui, add use qt6Andrew Ammerlaan9 days2-18/+64
| | | | | | | | | | | | | | | | | Though the build system provides separate targets for the gui and cli tools, the cmake configure files do not reflect this and they will search for qt unconditionally. Patching is non-trivial because the source files for the gui and for the cli are not completely separated. The package does support qt6 but the upstream cmake files do not provide a means of selecting which to use and will choose a version automagically. A simple patch is enough to fix this. Closes: https://bugs.gentoo.org/852836 Closes: https://bugs.gentoo.org/892559 Signed-off-by: Andrew Ammerlaan <andrewammerlaan@gentoo.org>
* sci-geosciences/gpsbabel: bump to 1.8.0Andrew Ammerlaan10 days2-0/+97
| | | | | | | Co-authored-by: Bjørn Kagelmacher <DL7RAY@t-online.de> Signed-off-by: Bjørn Kagelmacher <DL7RAY@t-online.de> Closes: https://github.com/gentoo/gentoo/pull/28324 Signed-off-by: Andrew Ammerlaan <andrewammerlaan@gentoo.org>
* sci-geosciences/gmt: drop 4.5.18-r1, 6.3.0Andreas Sturmlechner10 days6-291/+0
| | | | Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>
* */*: bump to 11.11Andrey Grozin2023-01-252-0/+57
| | | | Signed-off-by: Andrey Grozin <grozin@gentoo.org>
* sci-geosciences/gmt: use pkg tag for dev-libs/libpcre2Petr Vaněk2023-01-201-1/+1
| | | | | | Signed-off-by: Petr Vaněk <arkamar@atlas.cz> Closes: https://github.com/gentoo/gentoo/pull/29179 Signed-off-by: Sam James <sam@gentoo.org>
* */*: Update copyright line for files touched after 2018Ulrich Müller2023-01-161-1/+1
| | | | Signed-off-by: Ulrich Müller <ulm@gentoo.org>
* sci-geosciences/gpsd: add 3.25Sam James2023-01-153-8/+240
| | | | Signed-off-by: Sam James <sam@gentoo.org>
* */*: remove py3.8 from PYTHON_COMPATDavid Seifert2023-01-1417-30/+30
| | | | Signed-off-by: David Seifert <soap@gentoo.org>
* sci-geosciences/josm-bin: drop 18463Henning Schild2023-01-082-33/+0
| | | | | | Signed-off-by: Henning Schild <henning@hennsch.de> Closes: https://github.com/gentoo/gentoo/pull/28989 Signed-off-by: Florian Schmaus <flow@gentoo.org>
* sci-geosciences/qgis: add 3.28.2Chris Mayo2023-01-082-0/+273
| | | | | | | Closes: https://bugs.gentoo.org/889982 Signed-off-by: Chris Mayo <aklhfex@gmail.com> Closes: https://github.com/gentoo/gentoo/pull/29005 Signed-off-by: Sam James <sam@gentoo.org>
* sci-geosciences/gnome-maps: Version bump to 43.3Guillermo Joandet2023-01-072-0/+54
| | | | | | Signed-off-by: Guillermo Joandet <gjoandet@gmail.com> Closes: https://github.com/gentoo/gentoo/pull/28998 Signed-off-by: Matt Turner <mattst88@gentoo.org>
* sci-geosciences/josm-bin: drop 18621Henning Schild2023-01-072-34/+0
| | | | | | | | | 18622 was release as a "hotfix", did not look into the details but once we have 18622 we should drop 18621 Signed-off-by: Henning Schild <henning@hennsch.de> Closes: https://github.com/gentoo/gentoo/pull/28977 Signed-off-by: Florian Schmaus <flow@gentoo.org>
* sci-geosciences/josm-bin: version bump to 18622Henning Schild2023-01-072-0/+34
| | | | | Signed-off-by: Henning Schild <henning@hennsch.de> Signed-off-by: Florian Schmaus <flow@gentoo.org>
* sci-geosciences/josm-bin: Stabilize 18583 amd64, #889940Arthur Zamarin2023-01-061-1/+1
| | | | Signed-off-by: Arthur Zamarin <arthurzam@gentoo.org>
* sci-geosciences/josm-bin: Stabilize 18583 x86, #889940Arthur Zamarin2023-01-061-2/+2
| | | | Signed-off-by: Arthur Zamarin <arthurzam@gentoo.org>
* sci-geosciences/qgis: style tweakSam James2023-01-052-2/+2
| | | | Signed-off-by: Sam James <sam@gentoo.org>
* sci-geosciences/qgis: drop obsolete dev-python/future depSam James2023-01-053-3/+0
| | | | | Closes: https://bugs.gentoo.org/888301 Signed-off-by: Sam James <sam@gentoo.org>
* sci-geosciences/qgis: drop obsolete dev-python/six depSam James2023-01-053-6/+3
| | | | | Closes: https://bugs.gentoo.org/879487 Signed-off-by: Sam James <sam@gentoo.org>
* sci-geosciences/qgis: removed oldMarco Genasci2023-01-053-537/+0
| | | | | | Signed-off-by: Marco Genasci <fedeliallalinea@gmail.com> Closes: https://github.com/gentoo/gentoo/pull/28546 Signed-off-by: Sam James <sam@gentoo.org>
* sci-geosciences/qgis: LTR version bump to 3.22.13Marco Genasci2023-01-052-0/+259
| | | | | Signed-off-by: Marco Genasci <fedeliallalinea@gmail.com> Signed-off-by: Sam James <sam@gentoo.org>
* sci-geosciences/qgis: version bump to 3.28.1Marco Genasci2023-01-052-0/+278
| | | | | | Closes: https://bugs.gentoo.org/648946 Signed-off-by: Marco Genasci <fedeliallalinea@gmail.com> Signed-off-by: Sam James <sam@gentoo.org>
* sci-geosciences/gnome-maps: Drop old versionsMatt Turner2023-01-032-58/+0
| | | | Signed-off-by: Matt Turner <mattst88@gentoo.org>
* sci-geosciences/geocode-glib: Drop old versionsMatt Turner2023-01-031-41/+0
| | | | Signed-off-by: Matt Turner <mattst88@gentoo.org>
* sci-geosciences/josm-bin: drop oldHenning Schild2023-01-033-67/+0
| | | | | | Signed-off-by: Henning Schild <henning@hennsch.de> Closes: https://github.com/gentoo/gentoo/pull/28936 Signed-off-by: Florian Schmaus <flow@gentoo.org>
* sci-geosciences/josm-bin: version bump to 18621Henning Schild2023-01-022-0/+34
| | | | | | Signed-off-by: Henning Schild <henning@hennsch.de> Closes: https://github.com/gentoo/gentoo/pull/28935 Signed-off-by: Florian Schmaus <flow@gentoo.org>
* sci-geosciences/mtkbabel: update EAPI 6 -> 8David Seifert2022-12-261-6/+3
| | | | Signed-off-by: David Seifert <soap@gentoo.org>
* sci-geosciences/tcd-utils: update EAPI 6 -> 8David Seifert2022-12-261-2/+1
| | | | Signed-off-by: David Seifert <soap@gentoo.org>
* sci-geosciences/GeographicLib: drop 1.52Andreas Sturmlechner2022-12-261-105/+0
| | | | Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>
* sci-geosciences/qmapshack: drop 1.16.0-r1Andreas Sturmlechner2022-12-262-47/+0
| | | | Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>
* sci-geosciences/libtcd: drop 2.2.7_p2Sam James2022-12-212-34/+0
| | | | | Bug: https://bugs.gentoo.org/886781 Signed-off-by: Sam James <sam@gentoo.org>
* sci-geosciences/libtcd: Stabilize 2.2.7_p3 amd64, #886781Arthur Zamarin2022-12-181-1/+1
| | | | Signed-off-by: Arthur Zamarin <arthurzam@gentoo.org>
* sci-geosciences/libtcd: Stabilize 2.2.7_p3 x86, #886781Sam James2022-12-181-1/+1
| | | | Signed-off-by: Sam James <sam@gentoo.org>
* sci-geosciences/grass: fix revbump orderSam James2022-12-181-0/+0
| | | | | | | Sorry for the noise. The script didn't get ordering right in all cases. Signed-off-by: Sam James <sam@gentoo.org>
* sci-geosciences/gmt: add 6.4.0Sam James2022-12-182-0/+95
| | | | Signed-off-by: Sam James <sam@gentoo.org>
* sci-geosciences/gmt: add github upstream metadataSam James2022-12-181-16/+19
| | | | Signed-off-by: Sam James <sam@gentoo.org>
* sci-geosciences/gnome-maps: Stabilize 43.2 x86, #885627Arthur Zamarin2022-12-171-1/+1
| | | | Signed-off-by: Arthur Zamarin <arthurzam@gentoo.org>
* sci-geosciences/geocode-glib: Stabilize 3.26.4-r201 x86, #885627Arthur Zamarin2022-12-171-1/+1
| | | | Signed-off-by: Arthur Zamarin <arthurzam@gentoo.org>
* sci-geosciences/geocode-glib: Stabilize 3.26.4-r1 x86, #885627Arthur Zamarin2022-12-171-1/+1
| | | | Signed-off-by: Arthur Zamarin <arthurzam@gentoo.org>